Subject: bug#26339: [PATCH v3 6/9] scripts: system: Adapt "reconfigure" to new bootloader API.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 08 May 2017 18:21:28 +0200

Hi,

> Hi Mathieu,
>
>> +(define* (install-bootloader install-procedure
>> +                             #:key
>> +                             bootcfg bootcfg-location
>> +                             device target)
>
> Maybe "installer" instead of "install-procedure"?  It's not that important but it reads better I think...
>

Ok for installer.

> Hmm, importing (guix build utils) twice (on different sides, I guess)?  Could use a comment...

Actually it's something pretty common, grep "guix build utils" in
gnu/services for example.

>
>> +       (install-proc
>> +        (let ((procedure (bootloader-configuration-installer
>> +                          (operating-system-bootloader os)))
>> +              (target    (or target "/")))
>> +          (install-bootloader-derivation procedure bootloader device target)))
>
> Here, I'd use "bootloader-installer" instead of "install-proc" - because this specific procedure could install lots of things - it's the main entry point in a sense.

Ok for install-proc -> bootloader-installer.
       
>
> Otherwise LGTM!  I also think the general approach is good.

Nice !

Thanks,

Mathieu